GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_chttp2_transport_parsing Struct Reference

`#include <internal.h>`

## Data Fields
gpr_uint8 | is_client
| is this transport a client? (boolean) More...
gpr_uint8 | settings_updated
| were settings updated? More...
gpr_uint8 | settings_ack_received
| was a settings ack received? More...
gpr_uint8 | goaway_received
| was a goaway frame received? More...
gpr_int64 | initial_window_update
| initial window change More...
gpr_slice_buffer | qbuf
| data to write later - after parsing More...
grpc_mdstr * | str_grpc_timeout
grpc_chttp2_hpack_parser | hpack_parser
| parser for headers More...
union {
grpc_chttp2_window_update_parser window_update
grpc_chttp2_settings_parser settings
grpc_chttp2_ping_parser ping
grpc_chttp2_rst_stream_parser rst_stream
} | simple
| simple one shot parsers More...
grpc_chttp2_goaway_parser | goaway_parser
| parser for goaway frames More...
gpr_uint32 | incoming_window
| window available for peer to send to us More...
gpr_uint32 | incoming_window_delta
gpr_uint32 | next_stream_id
| next stream id available at the time of beginning parsing More...
gpr_uint32 | last_incoming_stream_id
grpc_chttp2_deframe_transport_state | deframe_state
gpr_uint8 | incoming_frame_type
gpr_uint8 | incoming_frame_flags
gpr_uint8 | header_eof
gpr_uint32 | expect_continuation_stream_id
gpr_uint32 | incoming_frame_size
gpr_uint32 | incoming_stream_id
void * | parser_data
grpc_chttp2_stream_parsing * | incoming_stream
grpc_chttp2_parse_error(* | parser )(void *parser_user_data, grpc_chttp2_transport_parsing *transport_parsing, grpc_chttp2_stream_parsing *stream_parsing, gpr_slice slice, int is_last)
gpr_uint32 | settings [GRPC_CHTTP2_NUM_SETTINGS]
grpc_status_code | goaway_error
gpr_uint32 | goaway_last_stream_index
gpr_slice | goaway_text
gpr_uint64 | outgoing_window_update
grpc_chttp2_outstanding_ping | pings
| pings awaiting responses More...

## Field Documentation

grpc_chttp2_deframe_transport_state grpc_chttp2_transport_parsing::deframe_state

gpr_uint32 grpc_chttp2_transport_parsing::expect_continuation_stream_id

grpc_status_code grpc_chttp2_transport_parsing::goaway_error

gpr_uint32 grpc_chttp2_transport_parsing::goaway_last_stream_index

grpc_chttp2_goaway_parser grpc_chttp2_transport_parsing::goaway_parser

parser for goaway frames

gpr_uint8 grpc_chttp2_transport_parsing::goaway_received

was a goaway frame received?

gpr_slice grpc_chttp2_transport_parsing::goaway_text

gpr_uint8 grpc_chttp2_transport_parsing::header_eof

grpc_chttp2_hpack_parser grpc_chttp2_transport_parsing::hpack_parser

parser for headers

gpr_uint8 grpc_chttp2_transport_parsing::incoming_frame_flags

gpr_uint32 grpc_chttp2_transport_parsing::incoming_frame_size

gpr_uint8 grpc_chttp2_transport_parsing::incoming_frame_type

grpc_chttp2_stream_parsing* grpc_chttp2_transport_parsing::incoming_stream

gpr_uint32 grpc_chttp2_transport_parsing::incoming_stream_id

gpr_uint32 grpc_chttp2_transport_parsing::incoming_window

window available for peer to send to us

gpr_uint32 grpc_chttp2_transport_parsing::incoming_window_delta

gpr_int64 grpc_chttp2_transport_parsing::initial_window_update

initial window change

gpr_uint8 grpc_chttp2_transport_parsing::is_client

is this transport a client? (boolean)

gpr_uint32 grpc_chttp2_transport_parsing::last_incoming_stream_id

gpr_uint32 grpc_chttp2_transport_parsing::next_stream_id

next stream id available at the time of beginning parsing

gpr_uint64 grpc_chttp2_transport_parsing::outgoing_window_update

grpc_chttp2_parse_error(* grpc_chttp2_transport_parsing::parser)(void *parser_user_data, grpc_chttp2_transport_parsing *transport_parsing, grpc_chttp2_stream_parsing *stream_parsing, gpr_slice slice, int is_last)

void* grpc_chttp2_transport_parsing::parser_data

grpc_chttp2_ping_parser grpc_chttp2_transport_parsing::ping

grpc_chttp2_outstanding_ping grpc_chttp2_transport_parsing::pings

pings awaiting responses

gpr_slice_buffer grpc_chttp2_transport_parsing::qbuf

data to write later - after parsing

grpc_chttp2_rst_stream_parser grpc_chttp2_transport_parsing::rst_stream

grpc_chttp2_settings_parser grpc_chttp2_transport_parsing::settings

gpr_uint32 grpc_chttp2_transport_parsing::settings[GRPC_CHTTP2_NUM_SETTINGS]

gpr_uint8 grpc_chttp2_transport_parsing::settings_ack_received

was a settings ack received?

gpr_uint8 grpc_chttp2_transport_parsing::settings_updated

were settings updated?

union { ... } grpc_chttp2_transport_parsing::simple

simple one shot parsers

grpc_mdstr* grpc_chttp2_transport_parsing::str_grpc_timeout

grpc_chttp2_window_update_parser grpc_chttp2_transport_parsing::window_update

The documentation for this struct was generated from the following file:

- src/core/transport/chttp2/internal.h